{% sw_extends '@Storefront/storefront/page/product-detail/index.html.twig' %}

{% block page_product_detail_headline %}
{% endblock %}

{% block page_product_detail_media %}
    <div class="col-lg-6 product-detail-media">
        {% if page.product.media %}
            {% sw_include '@Storefront/storefront/element/cms-element-image-gallery.html.twig' with {
                'mediaItems': mediaItems,
                'zoom': true,
                'zoomModal': true,
                'displayMode': 'contain',
                'gutter': 5,
                'minHeight': '480px',
                'navigationArrows': 'inside',
                'navigationDots': 'none',
                'galleryPosition': 'underneath',
                'isProduct': true,
                'fallbackImageTitle': page.product.translated.name,
                'startIndexThumbnails': page.product.cover.position + 1,
                'startIndexSlider': page.product.cover.position + 1
            } %}
        {% endif %}
    </div>
{% endblock %}

{% block page_product_detail_buy %}
    <div class="col-lg-6 product-detail-buy">
        {% sw_include '@Storefront/storefront/page/product-detail/buy-widget.html.twig' %}
    </div>
{% endblock %}

{% block page_product_detail_tabs %}
    {% sw_include '@Storefront/storefront/page/product-detail/description.html.twig' %}

    {% sw_include '@Naturals/storefront/page/product-detail/properties-qualities.html.twig' %}
    
    {% if config('core.listing.showReview') %}
        {% sw_include '@Storefront/storefront/page/product-detail/review/review.html.twig' with {'reviews': page.reviews} %}
    {% endif %}
{% endblock %}

{% block page_product_detail_cross_selling %}
    <div class="product-detail-cross-selling">
        {% sw_include '@Storefront/storefront/page/product-detail/cross-selling/tabs.html.twig' with {
            crossSellings: page.crossSellings
        } only %}
    </div>
{% endblock %}
